package com.zjt.service.impl;

import com.zjt.entity.ProductionVarietyDetail;
import com.zjt.entity.ProductionVarietyDetailColour;
import com.zjt.entity.Productionheader;
import com.zjt.mapper.ProductionVarietyDetailColourMapper;
import com.zjt.mapper.ProductionVarietyDetailMapper;
import com.zjt.mapper.ProductionVarietyMapper;
import com.zjt.mapper.ProductionheaderMapper;
import com.zjt.service.IProductionVarietyDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xxu
 * @since 2025-09-25
 */
@Service
public class ProductionVarietyDetailServiceImpl extends ServiceImpl<ProductionVarietyDetailMapper, ProductionVarietyDetail> implements IProductionVarietyDetailService {

    @Resource
    ProductionVarietyDetailMapper ProductionVarietyDetailMapper;
    @Resource
    ProductionheaderMapper ProductionheaderMapper;
    @Resource
    com.zjt.mapper.ProductionVarietyDetailColourMapper ProductionVarietyDetailColourMapper;
    @Override
    public List<ProductionVarietyDetail> selectvarietyList() {
        List<ProductionVarietyDetail> productionVarietyDetails = ProductionVarietyDetailMapper.selectvarietyList();
        return productionVarietyDetails;
    }

    @Override
    public List<ProductionVarietyDetail> selectvarietyDetails(String  variety) {
        List<ProductionVarietyDetail> productionVarietyDetails = ProductionVarietyDetailMapper.selectvarietyDetails(variety);
        return productionVarietyDetails;
    }

    @Override
    public List<Productionheader> selectProductionheader(long varietyDetailId) {
        List<Productionheader>productionheaderDetails = ProductionheaderMapper.selectProductionheader(varietyDetailId);
        return productionheaderDetails;
    }

    @Override
    public List<ProductionVarietyDetailColour> selectColour(long varietyDetailId) {
        List<ProductionVarietyDetailColour>ProductionVarietyDetailColour = ProductionVarietyDetailColourMapper.selectColour(varietyDetailId);
        return ProductionVarietyDetailColour;
    }


}
